#include "eventcontainer.h"
#include <QInputEvent>
#include <QPainter>
#include <QDebug>

EventContainer::EventContainer() {
}

EventContainer::EventContainer(QUuid uuid, QInputEvent *event,
							   QPainter *painter)
{
	m_uuid = uuid;
	m_events << event;
	m_pPainter = painter;
}

EventContainer::EventContainer(QUuid uuid, QList<QInputEvent *> events,
							   QPainter *painter)
{
	m_uuid = uuid;
	m_events << events;
	m_pPainter = painter;
}

QList<QInputEvent *> EventContainer::getEvents() {
	return m_events;
}

void EventContainer::clear() {
	m_events.clear();
}

void EventContainer::append(QInputEvent *event) {
	m_events << event;
}

int EventContainer::count() {
	return m_events.count();
}

void EventContainer::setUuid(QUuid uuid) {
	m_uuid = uuid;
}

QUuid EventContainer::getUuid() {
	return m_uuid;
}

void EventContainer::setPainter(QPainter *painter) {
	m_pPainter = painter;
}

QPainter *EventContainer::getPainter() {
	return m_pPainter;
}

void EventContainer::setRenderHint(QPainter::RenderHint /*hint*/, bool on) {
	m_antialiasing = on;
}

void EventContainer::setPen(const QPen & pen) {
	m_pen = pen;
}

bool EventContainer::getAntiAliasing() {
	return m_antialiasing;
}

QPen EventContainer::getPen() {
	return m_pen;
}

EventContainer::~EventContainer() {
	// FIXME: is it really the best place to delete those objects?
	for (int i = 0; i < m_events.count(); i++) {
		delete m_events.at(i);
	}
	if (m_pPainter != NULL) {
		delete m_pPainter;
	}
}
