#ifndef EVENTCONTAINER_H
#define EVENTCONTAINER_H

#include <QList>
#include <QPainter>
#include <QUuid>

QT_BEGIN_NAMESPACE
class QInputEvent;
//class QPainter;
QT_END_NAMESPACE

class EventContainer {
public:
	EventContainer();
	EventContainer(QUuid uuid, QInputEvent *event, QPainter *painter = NULL);
	EventContainer(QUuid uuid, QList<QInputEvent *> events,
				   QPainter *painter = NULL);
	QList<QInputEvent *> getEvents();
	void clear();
	void append(QInputEvent *event);
	int count();
	void setUuid(QUuid uuid);
	QUuid getUuid();
	void setPainter(QPainter *painter);
	QPainter *getPainter();
	void setRenderHint(QPainter::RenderHint hint, bool on = true);
	void setPen(const QPen & pen);
	bool getAntiAliasing();
	QPen getPen();
	~EventContainer();

private:
	QList<QInputEvent *> m_events;
	QUuid m_uuid;
	QPainter *m_pPainter;
	bool m_antialiasing;
	QPen m_pen;
};

#endif // EVENTCONTAINER_H
