#ifndef TOOL_H
#define TOOL_H

#include "plugins.h"

class Tool : public Plugin
{
    Q_OBJECT
public:
	typedef enum ToolType {
		Unknown = 0x0,
		Brush = 0x1,	//all type of drawing tools, including rubber
		Shape = 0x2,	//tools allowing to draw a shapes, lines
		Select = 0x4,	//any kind of selections, i.e. magic wand,
						//square selection, elipse selection, etc.
		Fill = 0x8,		// tools that fill the image, like bucket,
						//gradient fill, etc.
		View = 0x10,	//zoom, freehand - moving the image in scroll view.
	} ToolType;

	typedef enum ToolFeature {
		NoFeature = 0x0,
		SizeChange = 0x1,
		ColorChange = 0x2,
		AlphaChange = 0x4,
		AntiAliasing = 0x8,
		AllFeatures = 0xFFFFFF // everywhere 1
	} ToolFeature;
private:
	uint m_features;
	ToolType m_type;
public:
	explicit Tool();
	~Tool();


	bool testFeature( ToolFeature feature ) const;
	uint features() const;
	ToolType type() const;
protected:
	void setType(ToolType type);
	void setFeature( uint feature );
signals:

public slots:

};

#endif // TOOL_H
