#include "layer.h"
#include <QPainter>

#include <QDebug>

Layer::Layer(uint _width, uint _height, QWidget *parent) :
    QWidget(parent)
{
	setMinimumSize(_width, _height);
	m_theImage = QImage(_width, _height, QImage::Format_ARGB32_Premultiplied);
	m_theImage.fill(QColor(Qt::transparent).rgba());
}

Layer::Layer(const QSize &size, QWidget *parent) :
		QWidget(parent)
{
	setMinimumSize(size);
	m_theImage = QImage(size, QImage::Format_ARGB32_Premultiplied);
	m_theImage.fill(QColor(Qt::transparent).rgba());
}

Layer::Layer(const QImage &image, QWidget *parent) :
	QWidget(parent)
{

	setMinimumSize( image.size() );
	m_theImage = image.convertToFormat( QImage::Format_ARGB32_Premultiplied );
	update();
	updateGeometry();
}

QString Layer::getName() const{
	return m_name;
}


void Layer::setName(QString _name){
	m_name = _name;
}

QImage* Layer::getImage(){
	return &m_theImage;
}

QImage Layer::createThumb(uint width, uint height) const{
	return m_theImage.scaled(QSize(width, height),
							 Qt::KeepAspectRatio);
}
