#include <QtGui/QApplication>
#include <QTextCodec>
#include <QLibraryInfo>
#include <QTranslator>
#include <QLocale>
#include <QtPlugin>
#include <QSettings>
#include <QDir>
#include "windows/mainwindow.h"
#include "definitions.h"

QT_BEGIN_NAMESPACE
Q_IMPORT_PLUGIN(defaultplugin)
QT_END_NAMESPACE

int main(int argc, char *argv[]){

	QApplication a(argc, argv);

	QApplication::addLibraryPath("plugins");
	QApplication::addLibraryPath("/usr/lib/qt4/plugins/");

	a.setApplicationName( APP_NAME );
	a.setOrganizationName( ORG_NAME );

	QSettings::setDefaultFormat(QSettings::IniFormat);
	QSettings::setPath(QSettings::IniFormat, QSettings::SystemScope,
					   QDir::currentPath());
	QSettings::setPath(QSettings::IniFormat, QSettings::UserScope,
					   QDir::currentPath());

	//set encoding
	QTextCodec::setCodecForTr(QTextCodec::codecForName("UTF-8"));
	QTextCodec::setCodecForCStrings(QTextCodec::codecForName("UTF-8"));
	QTextCodec::setCodecForLocale(QTextCodec::codecForName("UTF-8"));

	//load messages in language based on system settings
	//FIXME
	//in future it should be possible to change lang by user
	/*QTranslator qtTranslator;
	qtTranslator.load("qt_" + QLocale::system().name(),
			  QLibraryInfo::location(QLibraryInfo::TranslationsPath));
	a.installTranslator(&qtTranslator);
*/

	MainWindow w;
	w.show();

	return a.exec();
}
