#ifndef MDICHILD_H
#define MDICHILD_H

#include <QScrollArea>
#include <QCloseEvent>
#include <QVariantMap>

#include "layersmanager.h"

class MdiChild : public QScrollArea
{
    Q_OBJECT
public:
	explicit MdiChild(QWidget *parent = 0, QVariantMap *data = NULL);
	~MdiChild();

	LayersManager* getLayersManager() const;
	QString getTitle() const;
	bool save( bool newFile = false);

protected:
	void closeEvent(QCloseEvent *);

private:
	bool m_wasModified;
	bool m_canClose;
	bool m_isUntitled;
	QString m_fileName;
	QString m_friendlyFileName;
	QString m_fileFormat;
	LayersManager *m_pLM;

	bool maybeSave();

	QString getFileName(const QString &file) const;
	QString setTitle(QString _title);
signals:
	void closing(MdiChild*);
	void windowTitleChanged(QString);
	void windowModifiedChanged(bool);
private slots:
	void setModified(bool _state = true);
public slots:
	void createNew(const QVariantMap &data);
	void prepareToClose(bool _canClose = true);

};

#endif // MDICHILD_H
