#ifndef UNDOCOMMAND_H
#define UNDOCOMMAND_H

#include <QUndoCommand>
#include <QPointer>
#include <QRegion>

QT_BEGIN_NAMESPACE
class QByteArray;
class QImage;
QT_END_NAMESPACE

class UndoCommand : public QUndoCommand {
public:
	UndoCommand(const QRegion region, const QImage before, const QImage after,
				QImage *img);
	void undo();
	void redo();
	const QRegion region() const;
private:
	// FIXME: could use static function as a constructor-generator to make these
	// const
	QByteArray m_bytesBefore, m_bytesAfter;
	const QRegion m_region;
	QImage *m_targetImage;
	const int m_depth;
	bool m_first;
};

#endif // UNDOCOMMAND_H
